<div class="auth-form">
  <form [formGroup]="form" (ngSubmit)="onSubmit()">
    <ng-content select="h1"></ng-content>
    <label>
      <input type="email" placeholder="Input email" formControlName="email">
    </label>

    <label>
      <input type="password" placeholder="Input password" formControlName="password">
    </label>

    <div *ngIf="emailFormat">
      <div class="error">
        Invalid email format
      </div>

    </div>

    <div *ngIf="passwordInvalid">
      <div class="error">
        Password is required
      </div>
    </div>

    <ng-content select=".error"></ng-content>

    <div class="auth-form__action">
      <ng-content select="button"></ng-content>
    </div>

    <div class="auth-form__toggle">
      <ng-content select="a"></ng-content>
    </div>
  </form>
</div>
